local SunTzuData = {
	["glenumbra"] = {
		["spindleclutch_base"] = {
			{0.347000, 0.321000, SunTzu_GetLocalizedData("glenumbra", "spindleclutch_base", 1)},
			{0.625000, 0.225000, SunTzu_GetLocalizedData("glenumbra", "spindleclutch_base", 2)},
			{0.840000, 0.390000, SunTzu_GetLocalizedData("glenumbra", "spindleclutch_base", 3)},
			{0.660000, 0.515000, SunTzu_GetLocalizedData("glenumbra", "spindleclutch_base", 4)},
			{0.350000, 0.820000, SunTzu_GetLocalizedData("glenumbra", "spindleclutch_base", 5)},
			{0.758000, 0.865000, SunTzu_GetLocalizedData("glenumbra", "spindleclutch_base", 6)},
		},
	},
	["stonefalls"] = {
		["fungalgrotto_base"] = {
			{0.625000, 0.835000, SunTzu_GetLocalizedData("stonefalls", "fungalgrotto_base", 1)},
			{0.802000, 0.626000, SunTzu_GetLocalizedData("stonefalls", "fungalgrotto_base", 2)},
			{0.390000, 0.260000, SunTzu_GetLocalizedData("stonefalls", "fungalgrotto_base", 3)},
			{0.370000, 0.410000, SunTzu_GetLocalizedData("stonefalls", "fungalgrotto_base", 4)},
			{0.084000, 0.515000, SunTzu_GetLocalizedData("stonefalls", "fungalgrotto_base", 5)},
			{0.365000, 0.770000, SunTzu_GetLocalizedData("stonefalls", "fungalgrotto_base", 6)},
		},
	},
	["auridon"] = {
		["thebanishedcells_base"] = {
			{0.825000, 0.752000, SunTzu_GetLocalizedData("auridon", "thebanishedcells_base", 1)},
			{0.633000, 0.508000, SunTzu_GetLocalizedData("auridon", "thebanishedcells_base", 2)},
			{0.398000, 0.654000, SunTzu_GetLocalizedData("auridon", "thebanishedcells_base", 3)},
			{0.459000, 0.124000, SunTzu_GetLocalizedData("auridon", "thebanishedcells_base", 4)},
			{0.314000, 0.283000, SunTzu_GetLocalizedData("auridon", "thebanishedcells_base", 5)},
			{0.279000, 0.438000, SunTzu_GetLocalizedData("auridon", "thebanishedcells_base", 6)},
		},
	},
	["stormhaven"] = {
		["wayrestsewers_base"] = {
			{0.412000, 0.465000, SunTzu_GetLocalizedData("stormhaven", "wayrestsewers_base", 1)},
			{0.527000, 0.272000, SunTzu_GetLocalizedData("stormhaven", "wayrestsewers_base", 2)},
			{0.241000, 0.160000, SunTzu_GetLocalizedData("stormhaven", "wayrestsewers_base", 3)},
			{0.655000, 0.191000, SunTzu_GetLocalizedData("stormhaven", "wayrestsewers_base", 4)},
			{0.810000, 0.133000, SunTzu_GetLocalizedData("stormhaven", "wayrestsewers_base", 5)},
			{0.718000, 0.687000, SunTzu_GetLocalizedData("stormhaven", "wayrestsewers_base", 6)},
		},
	},	
	["deshaan"] = {
		["darkshadecaverns_base"] = {
			{0.350000, 0.290000, SunTzu_GetLocalizedData("deshaan", "darkshadecaverns_base", 1)},
			{0.715000, 0.277000, SunTzu_GetLocalizedData("deshaan", "darkshadecaverns_base", 2)},
			{0.707000, 0.729000, SunTzu_GetLocalizedData("deshaan", "darkshadecaverns_base", 3)},
			{0.564000, 0.672000, SunTzu_GetLocalizedData("deshaan", "darkshadecaverns_base", 4)},
			{0.535000, 0.876000, SunTzu_GetLocalizedData("deshaan", "darkshadecaverns_base", 5)},
			{0.184000, 0.537000, SunTzu_GetLocalizedData("deshaan", "darkshadecaverns_base", 6)},
		},
	},
	
	["grahtwood"] = {
		["eldenhollow_base"] = {
			{0.720000, 0.640000, SunTzu_GetLocalizedData("grahtwood", "eldenhollow_base", 1)},
			{0.750000, 0.640000, SunTzu_GetLocalizedData("grahtwood", "eldenhollow_base", 2)},
			{0.904000, 0.520000, SunTzu_GetLocalizedData("grahtwood", "eldenhollow_base", 3)},
			{0.485000, 0.308000, SunTzu_GetLocalizedData("grahtwood", "eldenhollow_base", 4)},
		},
		["eldenhollowheroic1_base"] = {
			{0.231000, 0.262000, SunTzu_GetLocalizedData("grahtwood", "eldenhollowheroic1_base", 1)},
			{0.503000, 0.849000, SunTzu_GetLocalizedData("grahtwood", "eldenhollowheroic1_base", 2)},
		},
	},
	["rivenspire"] = {
		["cryptofhearts_base"] = {
			{0.239000, 0.297000, SunTzu_GetLocalizedData("rivenspire", "cryptofhearts_base", 1)},
			{0.499000, 0.205000, SunTzu_GetLocalizedData("rivenspire", "cryptofhearts_base", 2)},
			{0.841000, 0.165000, SunTzu_GetLocalizedData("rivenspire", "cryptofhearts_base", 3)},
			{0.572000, 0.390000, SunTzu_GetLocalizedData("rivenspire", "cryptofhearts_base", 4)},
			{0.520000, 0.871000, SunTzu_GetLocalizedData("rivenspire", "cryptofhearts_base", 5)},
			{0.491000, 0.625000, SunTzu_GetLocalizedData("rivenspire", "cryptofhearts_base", 6)},
		},
	},
	["greenshade"] = {
		["vetcirtyash01_base"] = {
			{0.732000, 0.65100, SunTzu_GetLocalizedData("greenshade", "vetcirtyash01_base", 1)},
		},
		["vetcirtyash02_base"] = {
			{0.480000, 0.396000, SunTzu_GetLocalizedData("greenshade", "vetcirtyash02_base", 1)},
			{0.195000, 0.747000, SunTzu_GetLocalizedData("greenshade", "vetcirtyash02_base", 2)},
		},
		["vetcirtyash03_base"] = {
			{0.377000, 0.349000, SunTzu_GetLocalizedData("greenshade", "vetcirtyash03_base", 1)},
		},
		["vetcirtyash04_base"] = {
			{0.347000, 0.715000, SunTzu_GetLocalizedData("greenshade", "vetcirtyash04_base", 2)},
		},
	}
}

local SunTzuOtherData = {
	["glenumbra"] = {
		["spindleclutch_base"] = {
			{0.463000, 0.446000, [[Fingaenion]], [[Indomptable à secourir]]}, -- Fingaenion
			{0.457000, 0.457000, [[Axel]], [[Indomptable à secourir]]}, -- Axel
			{0.290000, 0.806000, [[Mange-Faisandé]], [[Indomptable à secourir]]}, -- Mange-Faisandé
		},
		["vetcirtyash03_base"] = {
			{0.748000, 0.813000, [[Zantan]], [[Indomptable à secourir]]}, -- Zantan
			{0.372000, 0.457000, [[Umbarumë]], [[Indomptable à secourir]]}, -- Umbarume
			{0.512000, 0.306000, [[Caeleneth]], [[Indomptable à secourir]]},  -- Caeleneth (Und)
			{0.083000, 0.497000, [[Hogondard & Brittgerd]], [[Indomptables à secourir]]},  -- Hogondard & Brittgerd (Und)
			{0.377000, 0.349000, [[Monynen]], [[Indomptable à secourir]]},  -- Hogondard & Brittgerd (Und)
		},
		["vetcirtyash04_base"] = {
			{0.576000, 0.401000, [[Sobabe]], [[Indomptable à secourir]]},  -- Sobabe (Und) / to check
			{0.425000, 0.321000, [[Glatha & Mayra]], [[Indomptables à secourir]]}, -- Glatha & Mayra (Und)
		},
	},
}

--Constants
local BOSSES = "SunTzu_Bosses"
local BOSSES_OTHER = "SunTzu_Other"

function SunTzu_GetLocalData(zone, subzone, typeof)

	if typeof and typeof == BOSSES then
		if type(zone) == "string" and type(subzone) == "string" and SunTzuData[zone] and SunTzuData[zone][subzone] then
			return SunTzuData[zone][subzone]
		end
	elseif typeof and typeof == BOSSES_OTHER then
		if type(zone) == "string" and type(subzone) == "string" and SunTzuOtherData[zone] and SunTzuOtherData[zone][subzone] then
			return SunTzuOtherData[zone][subzone]
		end
	end
	
end