---------------------------------------
-- French localization for Strats --
---------------------------------------
--

--worldmap filters
ZO_CreateStringId("SUNTZU_FILTER_BOSSES", "Boss des donjons")
ZO_CreateStringId("SUNTZU_FILTER_BOSSES_OTHER", "Points d'intérêt des donjons")

local SunTzuLocalizedData = {
	["glenumbra"] = {
		["spindleclutch_base"] = {
			{[[Mortin le fou]], [[Mortin à d'abord 7 add à tuer au début du combat, Mass AE & Ultis pour nettoyer. Puis le boss est assez simple à tuer, il suffit que le tank bloque lorsque celui ci saute pour éviter le seul coup qui fait mal du combat.]]},
			{[[Golem de Sang]], [[Le golem est un DPS check de 2 minutes. Le tank le garde où il est, il bloque son attaque concentrée. Lorsqu'une zone apparait sous les pieds du boss, les DPS CàC ne s'écartent pas, c'est au soigneur de gérer. Les distants se placent à la limite de cette même zone. Si le DPS est insuffisant, la caverne s'effondrera avant que le boss ne meure.]]},
			{[[Praxin Douare]], [[Praxin est un combat basé sur la survie. Au départ, ignorez le boss qui ne fera rien. A sa position originelle apparaitront des araignées qu'il faudra tuer rapidement. Une 2ème vague d'autres araignées, avec un mini boss. Une 3ème vague avec des guérisseurs et 2 miniboss (un tank qui charge, un lamenoire qui se téléporte). Une 4ème vague avec une araignée de Méphala qui grappe. Puis Praxin qui s'active. Il devra être récupéré par le tank qui devra se placer sur le côté et à distance afin de placer les traits de terre que le boss lance en cône vers lui et les éviter. Le boss lance une compétence de drain vigueur et magie qu'il faudra purifier. De plus apparaitront à intervalle réguliers une zone rouge sur un membre du groupe. Le joueur en question devra rester dans la zone qui se déplace, tandis que les autres devront éviter celle-ci. Toute erreur entraine une mort instantannée.]]},
			{[[Atronachs de chair]], [[Un trio d'Atronachs. Le premier devra être tué si possible en monocible, les autres se soignant sur lui à sa mort. Ils n'ont qu'une compétence concentrée à bloquer de notable.]]},
			{[[Urvan Veleth]], [[Urvan à d'abord 4 adds à tuer avant de se concentrer sur lui. Tuez les rapidement. Le boss en lui-même est un vampire qui utilisera sa forme d'ombre sur le tank. Courrez un peu pour éviter le dégât.]]},
			{[[Vorénor Nédhiver]], [[Vorénor est un vampire. Il se nourrit sur les sacrifiés qui ne devront pas être assassinés si vous souhaitez faire le mode difficile. Il possède également une téléportation vampire qu'il effectuera sur tous les membres du groupe consécutivement, plus une zone qu'il lancera sur un membre du groupe aléatoirement qui disparaîtra assez vite.]]},
		},
	},
	["stonefalls"] = {
		["fungalgrotto_base"] = {
			{[[Le croc de Méphala]], [[L'araignée est d'abord entourée de deux guérisseurs, tuez les rapidement. La suite du combat consistera à éviter les zones de poison qui apparaissent sous les pieds des joueurs. Évitez juste d'être regroupés au même endroit, le tank devra lui bloquer son crachat de poison.]]},
			{[[Gamyne Bandu]], [[Gamyne Bandu. Tout le monde doit être écarté les uns des autres au maximum, le soigneur au milieu. Ultis monocibles au possible. Le tank récupère le boss où elle est. La boss va lier deux joueurs entre eux, ils devront s'écarter pour le briser. Pendant ce temps le soigneur devra les soigner pour éviter leur mort. De plus quatre adds vont périodiquement sacrifier quelqu'un. Il faudra tuer l'un des adds pour que la personne soit libérée où elle mourra à la fin du sacrifice. Enfin elle invoque de temps en temps ses ombres (c'est le moment calme où on peut rez). Elle bug régulièrement en disparaissant 1-2min en plein milieu du combat.]]},
			{[[Ciirenas la Bergère]], [[La bergère à trois araignées qui l'accompagnent. Chaque araignée morte renforce la boss et augmente les dégâts qu'elle fait. A 0 araignées, le combat consiste à ce que le tank garde les araignées avec lui, celles-ci faisant assez mal aux autres joueurs. A 3 araignées mortes, la boss est un poteau très long à tuer.]]},
			{[[L'engeance de Méphala]], [[L'engeance va dans un premier temps capturer régulièrement la personne la plus proche de sa grotte. Cette personne sera emmenée dedans et devra tuer quelques araignées, seule. Prévoyez un dps dédié ou faites une rotation. une compétence de survie pouvant être nécessaire dans la grotte. Il y a régulièrement une ou deux araignées planquée, faites bien le tour. Ensuite le combat en elle même consiste à la tanker en statique si le tank est costaud, il peut absorber l'explosion CàC en bloquant. Ensuite, la grotte lancera un rayon dirigé vers un joueur qui s'il le rattrape explosera, prévoyez de courir et des attaques à distance.]]},
			{[[Reggr Aubenoire]], [[Les adds à gauche et à droite peuvent être laissés si vous combattez dans l'axe. Le combat consistera principalement au soigneur de gérer son mana car le boss drainera régulièrement la vie du groupe et leur mana. Une alternance soin via magie et ultime permet de tuer ce boss très facilement. Le tank devra lui bloquer son attaque concentrée.]]},
			{[[Vila Théran]], [[Soyez tous groupés et à distance, le tank en résistance magie. La boss va invoquer des zones d'ombre sous ses pieds et se téléporter sur vous. Quad elle fait cela, échangez juste votre place avec l'endroit où elle était. Lorsqu'elle lève son bâton, préparez vous à un soin de 5 secondes en continu. Ce dégât, si quelqu'un entre dans la bulle de protection, sera coupé, mais le mode difficile sera annulé.]]},
		},
	},
	["auridon"] = {
		["thebanishedcells_base"] = {
			{[[Le Gardien Areldur]], [[Areldur est entouré par deux atronachs, tuez les vite. Puis il sera tourné par le tank qui se met légèrement à distance. Celui-ci incantera une attaque de feu en étoile autour de lui qui nécessitera peut-être aux autres joueurs de passer à distance]]},
			{[[La Gueule de l'Infernal]], [[Le daedroth est un mini check dps. Il lancera d'abord une brulure de magma sur la personne ayant l'aggro, qui incendiera la pièce. Le tank devra donc le tanker en reculant lentement et en longeant les murs au possible. De plus le boss se retournera régulièrement pour cracher son feu ardent sur les dps corps à corps.]]},
			{[[Le Gardien Voranil]], [[Voranil a deux sorciers avec lui. Tuez les vite. Puis le tank retourne le boss, et encaisse les dégâts de foudre et bloque son attaque concentrée.]]},
			{[[La Gardienne Imiril]], [[Imiril est un combat alternant de grandes phases d'AE couplé à de petites périodes de monocible ainsi qu'une gestion du placement. Prene en compte que toutes les 30 secondes une bulle (zone) va popper). celle-ci va sauter vers un joueur proche, pour l'inciter à se déplacer. De plus , la gardienne va régulièrement disparaitre dans une de ces bulles. Lors de sa disparition, vont apparaitre, à l'endroit même : des galopins, des créatures ailées ou des faucheclans. Pour chaque vague, il est conseillé d'aller au corps à corps, de les brûler en AE et de vite repartir. Puis quelques secondes après, la boss va revenir. Elle fera également une grande zone autour d'elle 2 secondes après son retour. Le combat en lui-même est une boucle.]]},
			{[[Les sœurs Sihna et Vera]], [[Le tank choisit une sœur et se tourne. Il aggro les deux, et interrompt celle ci. Un dps avec un peu d'AE reste près de la 2ème pour l'interrompre quand elle incante. Tuez la première et faite de la zone lorque les boules arrivent. Si une boule touche une des boss, les deux seront protégées par une bulle protectrice.]]},
			{[[Le Haut patriarche Rilis]], [[Le tank récupère Rilis et le garde à distance en se protégeant de sa magie. Il va régulièrement se téléporter à deux endroits, le tank fera des allers-retours entre ces deux points. De plus Rilis invoquera en même temps deux boules et un daedroth. Le tank récupère le daedroth, les autres tuent les boules. Si une boule touche Rilis, il est soigné de 15% de sa vie. Il va de plus faire apparaitre des zones de feu sous les pieds des joueurs, il faudra courir un peu, elles disparaissent vite. Enfin les joueurs envoyés au plafond dans une bulle devront regarder le pourtour de celle-ci. S'il est légèrement rose, ils devront purifier le DoT posé en allant dans la zone rouge, ou sinon le purifier dans la zone bleue, situées aux extrémités de la pièce.]]},
		},
	},
	["stormhaven"] = {
		["wayrestsewers_base"] = {
			{[[Malubeth le Faucheur]], [[Un joueur assigné à droite, un à gauche, le 3ème en soutien des deux autres. Le tank au milieu. Déclenchez le combat en activant les autels, puis des zones rouges vont apparaitre sous vos pieds. Le boss va régulièrement tisser un lien entre lui et un des joueurs qu'il faudra briser via les deux rituels. Soignez le pendant ce temps et soyez rapide ou il moura.]]},
			{[[Uulgarg le revenu]], [[Uulgarg à une compétence de peur qui vous fait incendier la pièce pendant ce petit moment, gardez un peu de vigueur pour vous libérer ou mettez vous assez loin. Il a de plus une attaque concentrée qui nécessitera au tank de la bloquer.]]},
			{[[Fauche-Crânes]], [[Le tank tourne le boss, il évite son cône frontal. Tuez les adds avec vos ultis, et tapez le boss relativement simple.]]},
			{[[Garron le Ressucité]], [[Garron va faire apparaitre des zones, à éviter. Puis une deuxième série de zones qui contiendront un cristal liche. chaque crystal explosera et libèrera un spectre. Les deux dps devront se focaliser sur les spectres. De plus le boss se téléportera près du bateau retourné et drainera alors la vie du groupe, le soigneur devra être prêt à faire du très gros soin.]]},
			{[[L'Oublié]], [[Le tank tourne le boss pendant que la pièce est nettoyée par les ultis. Lorsque l'oublié se recule, il fera une charge conique frontale qui peut tuer si on ne la bloque pas.]]},
			{[[Veraine et Allène Pellingare]], [[Pour le mode difficile, la cave de droite devra être pullée par un joueur pendant que les boss seront eux récupérés par le tank dans a zone d'ombre. Nettoyez ça avec un ulti. Puis engagez les deux. Le tank les retournera tous les deux. Ils feront tous deux une attaque qui posera un DoT qui fera assez mal et drainera la vigueur, à éviter. La sœur est une archère, le frère est un guerrier. Ils vous téléporteront régulièrement au milieu de la pièce et invoqueront des chauves-souris qui étourdiront, faites une roulade ou un blocage à ce moment précis. Gardez vos ultis pour ce moment là pour les tuer vite et repasser aux boss. Si leur vis est trop déséquilibrée, ils deviendront invincibles jusqu'à ce que vous ayez rétabli l'équilibre dans leur descente.]]},
		},
	},
	["deshaan"] = {
		["darkshadecaverns_base"] = {
			{[[Le berger disparu]], [[Tuez vite tous les adds autour de lui, il y en a beaucoup. Le boss en lui même à une compétence de feu qu'il fera tourner autour de lui, qu'il faudra esquiver par une roulade à contre sens de celle-ci ou en étant suffisamment loin. Préférez traverser les flammes plutôt que chercher à courir plus vite qu'elle ne tourne]]},
			{[[Le seigneur des ruches transmuté]], [[Les deux adds reviennent si vous les tuez, vous pouvez les ignorer, par contre ils feront régulièrement des étourdisement. Le boss n'es pas méchant mais il fera un très lourd dégât quand il se transmutera en bleu. il faudra casser  sa bulle et peut être soigner assez fort.]]},
			{[[Alits transmutés]], [[Les trois alits font assez mal lorsqu'ils sautent, le tank devra donc les récupérer tous les trois et bien bloquer. Les alits devront être tués simultanément auquel cas ils se relèveront.]]},
			{[[Grobull le transmuté]], [[Le tank est invité à DPS ici. tous en AE. Il y aura un pop massif de petits netchs qu'il faudra tuer vite pour ne pas être débordés. Le boss est ignoré pendant le combat, il est invincible et reflète lorsqu'il est en l'air. Par contre, évitez sa zone rouge et surtout sa zone de foudre, libérez vous vite au besoin. Lorsque le boss chute à terre, claquez tous vos ultis et insistez sur le DPS monocible. Puis répétez l'opération.]]},
			{[[L'armée Dwemer]], [[L'armée ne viens pas d'un coup. Ayez juste en tête que les centurions peuvent OS s'ils ne sont pas tankés et que les traits de terre des sphères font très mal. Généralement, ce sont quatre vagues assez distinctes qui viennent , mais elles peuvent se superposer selon votre dps.]]},
			{[[Le Gardien du moteur]], [[Pas de tank, pas de CàC. Le boss n'a pas d'aggro. Il va alterner entre la phase rouge qui interdira le corps à corps, les zones de feu pouvant être évitées si vous êtes loin. Puis la zone verte qui sera un gros DoT à gérer par le soigneur Préférez cette phase pour taper tranquillement. Enfin la zone bleue où le boss attaquera d'un rayon électrique si vous êtes proche de lui et invoquera des sphères dwemer qui descendront des parois progressivement. Jouez groupés.]]},
		},
	},
	["grahtwood"] = {
		["eldenhollow_base"] = {
			{[[Dubroze l'Infestateur]], [[Tuez les adds, tuez le boss en évitant son cône de feu en retournant le boss tranquillement.]]},
			{[[Racine Noire]], [[Ecartez vous chacun les uns des autres. Deux adds vont popper, le bleu posera une zone de régénération magie, le vert de vigueur, le tank prends la verte au besoin. La boss à une attaque notable qui nécessitera d'avoir un nombre de point de vie suffisamment haut. Utilisez des boucliers au besoin. Si deux personnes sont trop proches entre elles, l'attaque de lumière touchera les deux.]]},
			{[[Azara la terrifiante]], [[Focalisez ous sur la boss, elle meurt généralement assez vite. les adds effrayent et repoppent en continu. Claquez vos ultis au début pour nettoyer et bien engager le combat.]]},
			{[[Le garde d'ombre]], [[Tuez les adds, évitez les zones, tuez le boss. Une petite attaque concentrée qu'il faudra bloquer par le tank.]]},
		},
		["eldenhollowheroic1_base"] = {
			{[[Fange-jour]], [[Jour/Nuit. De jour, évitez les zones, de nuit soyez dedans. Le tank dans sa zone à lui pour éviter un AE du suturé.]]},
			{[[Bogdan la Nocteflamme]], [[Le mode difficile s'enclenche en lisant l'opus. Il rajoutera des atronachs (généralement 3 ou 4 par vague) qu'il faudra focus car ils soigneront le boss. Hormis cela, le boss va régulièrement lancer une boule de feu qui laissera une zone sur les joueurs, cette zone ne peut être évitée, elle tombera sur vous, placez la dans un coin. De plus, il invoquera des atronachs noirs qui vous feront peur, à tuer vite. Mais aussi les blancs si vous êtes en mode difficile. Tous les 25%, il sautera et à son atterrissage, il nettoyera l'endroit de toutes les zones. A ce moment là, bloquez ou faites une roulade.]]},
		},
	},
	["rivenspire"] = {
		["cryptofhearts_base"] = {
			{[[Ibelgast]], [[Deux DPS sur un guérisseur, le soigneur près de l'autre à interrompre, tuez les vite. Le tank lui déplace le boss au fond. Attention aux bulles de négation de magie. Puis deux archers à tuer un de chaque côté. Puis deux invocateurs à tuer très vite auquel cas ils invoqueront une armée daedrique. Bloquez les attaques lourdes du boss, mettez vous au centre de la zone en anneau lorsqu'il en fait. Gardez vos taunts, il reset régulièrement l'aggro.]]},
			{[[Ruzozuzalpamaz]], [[Le tank retourne l'araignée et la garde au centre des statues. Les joueurs attaquent et s'espacent, et le boss va emprisonner dans un cocon un joueur qui devra être libéré par un allié. Puis une zone apparaitra sous les pieds d'un joueur qui le suivra lui. il devra courir sur les côtés de la pièce pour ne pas gêner les autres. Enfin des petites araignées vont apparaitre, massez vous sur la boss, tuez les en AE pendant 5s maximum, et le cycle cocon/zone reprends.]]},
			{[[Le Gardien de la Chambre]], [[Quand le boss fait son attaque concentrée ne la bloquez pas, mais esquivez là. Sinon, il invoquera des squelettes. Evitez également le corps à corps, car il lance une peur. Le combat est globalement simple]]},
			{[[Les frères Ilambris & leur amalgame]], [[Tuez le foudre, il est plus simple (mais ça ne change pas grand chose,, sinon l'ordre). Puis le colosse, un coup de pied au sol, début de phase foudre, tuez les adds, évitez les zones. Puis coup de pied au sol, deux squelettes kamikazes à tuer vite, puis deux autres accompagnés d'une pluie de feu. et le cycle recommence. A 12%, tous les adds, toutes les zones poppent en même temps, gardez vos ultis pour la fin donc.]]},
			{[[Mezeluth]], [[N'allez pas au corps à corps, assignez chaque joueur à un point cardinal, laissez passer les zones de feu. Puis le tank devra esquiver l'attaque d'ombre sur lui. Il attrapera tous les joueurs à lui et invoquera des zones d'ombre. Tournez la camera, les joueurs devront faire une roulade dans leur zone safe pour éviter la mort. Rester au milieu vous tuera, rouler dans une zone vous tuera, rouler près d'un allié vous tuera. Plus facile à trois qu'à quatre parfois.]]},
			{[[Nérien'eth]], [[Le tank bloque la magie. Les attaques de l'elfe à éviter sont : la tête de mort à bloquer ou vous serez à terre et quasi mort ; la téléportation sur un joueur. Faites une double roulade ou courrez vite ou vous serez quasi mort. Mais aussi les zones à éviter, écartez vous un peu les uns des autres. Enfin les spectres  invoqués. Le tank les récupère, ils ralentissent et font très mal. Le but du mode difficile consiste à en avoir 4 à 35% de sa vie, lorsqu'il prendra l'épée. Ajustez la conservation ou le tuage de spectres en fonction de votre dps de groupe. A 30%, il prends l'épée, attendez 5s, puis brulez les spectres. Puis il va attraper à la gorge l'un d'entre vous, la personne devra spammer la synergie pour résister tandis que ses alliés devront le libérer en cassant la bulle en insistant sur le dps. Évitez aussi les zones et attention aux charges dans cette deuxième phase.]]},
		},
	},
	["greenshade"] = {
		["vetcirtyash01_base"] = {
			{[[Rukhan]], [[Rukhan est tanké par le boss qui fait attention à sa grande zone. Les autres membres du groupe attaquent en premier Akezel à droite et l'interrompent. Il va à intervalle réguliers se transformer en flammèche et sauter un peu plus loin, suivez la flamme pour savoir où il va atterrir. Puis, Marruz qui est archer et enfin Rukhoz de préférence à distance]]},
		},
		["vetcirtyash02_base"] = {
			{[[Urata la Légion]], [[Lorsqu'elle se présente, la légion va se téléporter en arrière quand vous allez l'attaquer. Tuez les packs en face de vous et à gauche. Puis le combat contre elle. Elle lancera des zones sur trois membre du groupe et invoquera des alliés (2 puis 4). S'ils ne sont pas tués rapidement, elle les absorbera et se soignera dessus. Les corps à corps ne doivent faire qu'une seule tête pour garder un espace non enflammé.]]},
			{[[Horvantud Gueule-Ardente]], [[La gueule est récupérée par le tank qui le place dans un coin à gauche en entrant ou au fond à droite. Il fera attention à son souffle de feu. Le daedroth invoquera tous les 10% de sa vie des zones basées précédées de traits de terre qui font très mal, esquivez les obligatoirement. Puis viendront les daedra spectateurs, en commençeant par l'endroit d'où vous venez, puis qui descendront dans le sens horaire de l'arène. A 50% les daedra restant reviennent mais dans le sens anti-horaire.]]},
		},
		["vetcirtyash03_base"] = {
			{[[Titan de Cendres]], [[Le tank prends le titan au corps à corps en esquivant son attaque frontale. Le titan en lui même fera deux attaques aléatoire, les vagues de feu qui demanderont à tous d'être reculés pour zigzaguer entre les vagues, et la pluie de feu qu'il demandera essentiellement d'éviter d'être dans une grande zone quand le feu vous tombe sur la tête. Le boss invoquera deux atronchs d'air vicié qui seront protégés par une bulle. Le premier étant invoqué à 50% de la vie du boss, le deuxième, 1 minute après le premier. les groupes avec suffisamment de dps peuvent se concentrer sur le titan exclusivement.]]},
		},
		["vetcirtyash04_base"] = {
			{[[Valkyn Skoria]], [[Le mode difficile s'engage au fond en concluant le pacte. il anéantira deux plate formes. Le combat en lui même sera sur une plate forme extérieure pour le tank, sur la centrale pour les autres. les distants (et le tank s'il est trop loin) devront éviter via une roulade ou un blocage son attaque concentrée dans sa main dirigée vers sa cible. Mais aussi la transformation en pierre dont il faudra se libérer. et enfin pour le tank l'étoile de feu qui apparaitra aux pieds du Valkyn. Puis il détruira la plate forme où il est actuellement et sautera sous forme de flammèche vers une autre. Allez y tous, claquez vos ultis pour interrompre la pluie de feu présente tant que sa bulle sera là. Tuez les atronachs, et les distants pourront retourner à la plateforme centrale après une des compétences du boss. Si le DPS est trop léger, les plateformes seront détruites avant la mort du boss vous obligeant à combattre sur les chemins annonciateurs de pluie de météorite tant qu'on y reste, les seules zones sûres étant les plates-formes.]]},
		},
	},
}

function SunTzu_GetLocalizedData(zone, subzone, bossId)
	if type(zone) == "string" and type(subzone) == "string" and type(bossId) == "number" and SunTzuLocalizedData[zone] and SunTzuLocalizedData[zone][subzone] and SunTzuLocalizedData[zone][subzone][bossId] then
		return SunTzuLocalizedData[zone][subzone][bossId][1], SunTzuLocalizedData[zone][subzone][bossId][2]
	end
end